Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.exception.spi
Class AbstractSQLExceptionConversionDelegate

    java.lang.Object
      org.hibernate.exception.spi.AbstractSQLExceptionConversionDelegate

All Implemented Interfaces:
  SQLExceptionConversionDelegate

Direct Known Subclasses:
  CacheSQLExceptionConversionDelegate, SQLExceptionTypeDelegate, SQLStateConversionDelegate

    public abstract class AbstractSQLExceptionConversionDelegate

extends Object
implements SQLExceptionConversionDelegate

Constructor Summary
`protected` | `AbstractSQLExceptionConversionDelegate(ConversionContext conversionContext)`

Method Summary
`protected ConversionContext` | `getConversionContext()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.hibernate.exception.spi.SQLExceptionConversionDelegate
`convert`

Constructor Detail

### AbstractSQLExceptionConversionDelegate

    protected AbstractSQLExceptionConversionDelegate(ConversionContext conversionContext)

Method Detail

### getConversionContext

    protected ConversionContext getConversionContext()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.